jargs.gnu

## Class CmdLineParser.Option.StringOption

- java.lang.Object
- - jargs.gnu.CmdLineParser.Option
  - - jargs.gnu.CmdLineParser.Option.StringOption

- Enclosing class:
    CmdLineParser.Option

      public static class CmdLineParser.Option.StringOption
      extends CmdLineParser.Option

  An option that expects a string value

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jargs.gnu.CmdLineParser.Option

      `CmdLineParser.Option.BooleanOption, CmdLineParser.Option.DoubleOption, CmdLineParser.Option.IntegerOption, CmdLineParser.Option.LongOption, CmdLineParser.Option.StringOption`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmdLineParser.Option.StringOption(char shortForm, java.lang.String longForm)`
    `CmdLineParser.Option.StringOption(java.lang.String longForm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `parseValue(java.lang.String arg, java.util.Locale locale)` Override to extract and convert an option value passed on the command-line

    - ### Methods inherited from class jargs.gnu.CmdLineParser.Option

      `getValue, longForm, shortForm, wantsValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmdLineParser.Option.StringOption

          public CmdLineParser.Option.StringOption(char shortForm,
                                           java.lang.String longForm)

    - #### CmdLineParser.Option.StringOption

          public CmdLineParser.Option.StringOption(java.lang.String longForm)

  - ### Method Detail

    - #### parseValue

          protected java.lang.Object parseValue(java.lang.String arg,
                                    java.util.Locale locale)

      Description copied from class: `CmdLineParser.Option`
      Override to extract and convert an option value passed on the command-line
      Overrides:
        `parseValue` in class `CmdLineParser.Option`